ru.bitel.bgbilling.modules.cerbercrypt.server.bean

## Class SynclogManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<SynclogEntry>
      - - ru.bitel.bgbilling.modules.cerbercrypt.server.bean.SynclogManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class SynclogManager
      extends ru.bitel.common.dao.AbstractIdDao<SynclogEntry>

  Менеджер логов обмена.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynclogManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()` Коммит текущей транзакции.
    `SynclogEntry` | `getEntry(int id, java.util.Date date)` Получение одной записи.
    `protected SynclogEntry` | `getFromRS(java.sql.ResultSet rs)`
    `Result<SynclogEntry>` | `getList(Period period, Page page, int cid, java.util.Set<java.lang.Long> filterNumbers, java.util.Set<java.lang.Integer> filterSuccess)`
    `protected void` | `updateImpl(SynclogEntry b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynclogManager

          public SynclogManager(java.sql.Connection con,
                                int mid)

  - ### Method Detail

    - #### getFromRS

          protected SynclogEntry getFromRS(java.sql.ResultSet rs)
                                    throws java.sql.SQLException,
                                           ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<SynclogEntry>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(SynclogEntry b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<SynclogEntry>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getList

          public Result<SynclogEntry> getList(Period period,
                                              Page page,
                                              int cid,
                                              java.util.Set<java.lang.Long> filterNumbers,
                                              java.util.Set<java.lang.Integer> filterSuccess)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### commit

          public void commit()
                      throws ru.bitel.bgbilling.common.BGException

      Коммит текущей транзакции. Сделано ввиду того что при возникновении ошибки генерится экзепшен и запись этой ошибки в БД не произведётся.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getEntry

          public SynclogEntry getEntry(int id,
                                       java.util.Date date)
                                throws ru.bitel.bgbilling.common.BGException

      Получение одной записи.
      Parameters:
        `id` - ид записи
        `date` - дата записи (т.к. таблицы периодические)
      Returns:
        запись, всегда не null
      Throws:
        `ru.bitel.bgbilling.common.BGException` - при sql-ошибках (в том числе упадём если нет таблицы за указанный месяц или записи с таким id)